> ## Documentation Index
> Fetch the complete documentation index at: https://platform.take.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List inventory items



## OpenAPI

````yaml openapi-v2 GET /api/v2/inventory_items
openapi: 3.1.0
info:
  title: Take App Merchant API V2
  version: 2.0.0
  description: >-
    Authenticated Merchant API for stores. All money values are integers in the
    smallest currency unit (e.g. cents).
servers:
  - url: https://take.app
security:
  - bearerAuth: []
paths:
  /api/v2/inventory_items:
    get:
      tags:
        - Inventory
      operationId: listInventoryItems
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 100
          required: false
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_after
          in: query
      responses:
        '200':
          description: List of inventory items
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InventoryItemList'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    InventoryItemList:
      type: object
      properties:
        object:
          type: string
          enum:
            - list
        data:
          type: array
          items:
            $ref: '#/components/schemas/InventoryItem'
        has_more:
          type: boolean
        next_cursor:
          type:
            - string
            - 'null'
      required:
        - object
        - data
        - has_more
        - next_cursor
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - invalid_request_error
                - authentication_error
                - permission_error
                - not_found_error
                - rate_limit_error
                - api_error
            code:
              type: string
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
          required:
            - type
            - code
            - message
            - request_id
      required:
        - error
    InventoryItem:
      type: object
      properties:
        item_id:
          type: string
        object:
          type: string
          enum:
            - inventory_item
        item_type:
          type: string
          enum:
            - product
            - variant
        item_name:
          type:
            - string
            - 'null'
        product_id:
          type: string
        variant_id:
          type:
            - string
            - 'null'
        sku:
          type:
            - string
            - 'null'
        quantity:
          type: integer
        price:
          type: integer
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        original_price:
          type:
            - integer
            - 'null'
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        cost:
          type:
            - integer
            - 'null'
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        cost_enabled:
          type: boolean
        updated_at:
          type: string
          format: date-time
      required:
        - item_id
        - object
        - item_type
        - item_name
        - product_id
        - variant_id
        - sku
        - quantity
        - price
        - original_price
        - cost
        - cost_enabled
        - updated_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Merchant API V2 token. Pass as `Authorization: Bearer <token>`.'

````